{% load static %}
{% load i18n %}

<html class='no-js'>
    <head>
        <meta charset='utf-8'>
        <meta http-equiv='X-UA-Compatible' content='IE=edge'>
        <title>Chocolatine</title>
        <meta name='description' content=''>
        <meta name='viewport' content='width=device-width, initial-scale=1'>
        <link rel="shortcut icon" type="image/png" href="{% static '/logo/logo.png' %}"/>
        <link rel="stylesheet" href="{% static 'css/uikit.css' %}" />

    </head>
    <body>
      <div class="uk-section uk-section-muted uk-preserve-color uk-flex uk-flex-middle uk-animation-fade" uk-height-viewport>
        <div class="uk-width-1-1">
          <div class="uk-container">
            <div class="uk-grid-margin uk-grid uk-grid-stack" uk-grid>
              <div class="uk-width-1-1@m">
                <div class="uk-margin uk-width-large uk-margin-auto uk-card uk-card-default uk-card-body uk-box-shadow-xlarge uk-border-rounded">
                    <h3 class="uk-card-title uk-text-center uk-text-mutted">
                    {% translate "Password reset" %}
                    </h3>
                    <h5 class="uk-text-justify uk-text-mutted">
                    {% translate "Forgotten your password? Enter your email address below, and we’ll email instructions for setting a new one." %}
                    <h5>
                      <form action='' method='post'>
                        {% csrf_token %}
                        <div class="uk-margin">
                          <div class="uk-inline uk-width-1-1">
                            <span class="uk-form-icon" uk-icon="icon: mail"></span>
                            <input class="uk-input" 
                                   id='id_email' 
                                   name='email'
                                   placeholder="{% translate "Email address" %}"
                                   type="text"
                                   required>
                            </div>
                            {% if form.email.errors %}
                              <ul class="uk-list">
                                {% for error in form.email.errors %}
                                  <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                                {% endfor %}
                              </ul>
                            {% endif %}
                        </div>
                        <div class="uk-margin">
                          <button class="uk-button uk-button-primary uk-width-1-1"
                                  type='submit'>
                                  {% translate "Reset my password." %}
                          </button>
                        </div>
                     </form>
                 </div>
               </div>
             </div>
           </div>
         </div>
       </div>
       <script src="{% static 'vendor/uikit.js' %}"></script>
       <script src="{% static 'vendor/uikit-icons.min.js' %}"></script>
    </body>
</html>
